OpenZWave Library: OpenZWave::Group Class Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Friends | List of all members
OpenZWave::Group Class Reference

Manages a group of devices (various nodes associated with each other). More...

`#include <Group.h>`

## Public Member Functions
| Group (uint32 const _homeId, uint8 const _nodeId, uint8 const _groupIdx, uint8 const _maxAssociations)
| Group (uint32 const _homeId, uint8 const _nodeId, TiXmlElement const *_valueElement)
| ~Group ()
void | WriteXML (TiXmlElement *_groupElement)
string const & | GetLabel () const
uint32 | GetAssociations (uint8 **o_associations)
uint32 | GetAssociations (InstanceAssociation **o_associations)
uint8 | GetMaxAssociations () const
uint8 | GetIdx () const
bool | Contains (uint8 const _nodeId, uint8 const _instance=0x00)
bool | IsMultiInstance () const
bool | ClearCommands (uint8 const _nodeId, uint8 const _instance=0x00)
bool | AddCommand (uint8 const _nodeId, uint8 const _length, uint8 const *_data, uint8 const _instance=0x00)

## Friends
class | Node
class | Association
class | MultiChannelAssociation

## Detailed Description

Manages a group of devices (various nodes associated with each other).

## Constructor & Destructor Documentation

## ◆ Group() [1/2]

Group::Group | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId,
|  | uint8 const | _groupIdx,
|  | uint8 const | _maxAssociations
| ) |  |

## ◆ Group() [2/2]

Group::Group | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId,
|  | TiXmlElement const * | _valueElement
| ) |  |

## ◆ ~Group()

OpenZWave::Group::~Group | ( |  | ) |
| inline

## Member Function Documentation

## ◆ AddCommand()

bool Group::AddCommand | ( | uint8 const | _nodeId,
|  | uint8 const | _length,
|  | uint8 const * | _data,
|  | uint8 const | _instance = `0x00`
| ) |  |

## ◆ ClearCommands()

bool Group::ClearCommands | ( | uint8 const | _nodeId,
|  | uint8 const | _instance = `0x00`
| ) |  |

## ◆ Contains()

bool Group::Contains | ( | uint8 const | _nodeId,
|  | uint8 const | _instance = `0x00`
| ) |  |

## ◆ GetAssociations() [1/2]

uint32 Group::GetAssociations | ( | InstanceAssociation ** | o_associations | ) |

## ◆ GetAssociations() [2/2]

uint32 Group::GetAssociations | ( | uint8 ** | o_associations | ) |

## ◆ GetIdx()

uint8 OpenZWave::Group::GetIdx | ( |  | ) | const
| inline

## ◆ GetLabel()

string const & OpenZWave::Group::GetLabel | ( |  | ) | const
| inline

## ◆ GetMaxAssociations()

uint8 OpenZWave::Group::GetMaxAssociations | ( |  | ) | const
| inline

## ◆ IsMultiInstance()

bool OpenZWave::Group::IsMultiInstance | ( |  | ) | const
| inline

## ◆ WriteXML()

void Group::WriteXML | ( | TiXmlElement * | _groupElement | ) |

## Friends And Related Symbol Documentation

## ◆ Association

friend class Association
| friend

## ◆ MultiChannelAssociation

friend class MultiChannelAssociation
| friend

## ◆ Node

friend class Node
| friend

The documentation for this class was generated from the following files:

- Group.h
- Group.cpp